using VeterinaryBusinessLogic.OfficePackage.HelperModels;

namespace VeterinaryBusinessLogic.OfficePackage
{
	public abstract class AbstractSaveToPdf
	{
		/// Создание pdf-файла
		protected abstract void CreatePdf(PdfInfo info);

		/// Создание параграфа с текстом
		protected abstract void CreateParagraph(PdfParagraph paragraph);

		/// Создание таблицы
		protected abstract void CreateTable(List<string> columns);

		/// Создание и заполнение строки
		protected abstract void CreateRow(PdfRowParameters rowParameters);

		/// Сохранение файла
		protected abstract void SavePdf(PdfInfo info);
	}
}
